org.swixml

## Class XTabbedPane

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JTabbedPane
        - - org.swixml.XTabbedPane

- All Implemented Interfaces:
    ImageObserver, MenuContainer, Serializable, Accessible, SwingConstants

      public class XTabbedPane
      extends JTabbedPane

  XSplitPane simple extends JSplitPane to clear components during the construction process
  Version:
    $Revision: 1.1 $
  Author:
    Wolf Paulus
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JTabbedPane

      `JTabbedPane.AccessibleJTabbedPane, JTabbedPane.ModelListener`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JTabbedPane

      `changeEvent, changeListener, model, SCROLL_TAB_LAYOUT, tabPlacement, WRAP_TAB_LAYOUT`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XTabbedPane()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDisabledIcons(String icons)` Sets the disabled icon at `index` to `icon` which can be `null`.
    `void` | `setDisplayedMnemonics(String displaymnemonics)` Provides a hint to the look and feel as to which character in the text should be decorated to represent the mnemonic.
    `void` | `setEnabled(String enabled)` Sets whether or not the tab at `index` is enabled.
    `void` | `setIcons(String icons)` Sets the icons for all tabs.
    `void` | `setMnemonics(String mnemonics)` Sets the keyboard mnemonic for accessing the specified tab.
    `void` | `setTitles(String titles)` Sets the title for all tabs.
    `void` | `setToolTipTexts(String toolTipTexts)` Sets the tooltip text at `index` to `toolTipText` which can be `null`.

    - ### Methods inherited from class javax.swing.JTabbedPane

      `add, add, add, add, add, addChangeListener, addTab, addTab, addTab, createChangeListener, fireStateChanged, getAccessibleContext, getBackgroundAt, getBoundsAt, getChangeListeners, getComponentAt, getDisabledIconAt, getDisplayedMnemonicIndexAt, getForegroundAt, getIconAt, getMnemonicAt, getModel, getSelectedComponent, getSelectedIndex, getTabComponentAt, getTabCount, getTabLayoutPolicy, getTabPlacement, getTabRunCount, getTitleAt, getToolTipText, getToolTipTextAt, getUI, getUIClassID, indexAtLocation, indexOfComponent, indexOfTab, indexOfTab, indexOfTabComponent, insertTab, isEnabledAt, paramString, remove, remove, removeAll, removeChangeListener, removeTabAt, setBackgroundAt, setComponentAt, setDisabledIconAt, setDisplayedMnemonicIndexAt, setEnabledAt, setForegroundAt, setIconAt, setMnemonicAt, setModel, setSelectedComponent, setSelectedIndex, setTabComponentAt, setTabLayoutPolicy, setTabPlacement, setTitleAt, setToolTipTextAt, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XTabbedPane

          public XTabbedPane()

  - ### Method Detail

    - #### setTitles

          public void setTitles(String titles)

      Sets the title for all tabs. An internal exception is raised if there is no tab at that index.
      Parameters:
        `titles` - `String` comma sep. list of titles, for all tabs
      Throws:
        `IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)

    - #### setMnemonics

          public void setMnemonics(String mnemonics)

      Sets the keyboard mnemonic for accessing the specified tab. The mnemonic is the key which when combined with the look and feel's mouseless modifier (usually Alt) will activate the specified tab.

      A mnemonic must correspond to a single key on the keyboard and should be specified using one of the `VK_XXX` keycodes defined in `java.awt.event.KeyEvent`. Mnemonics are case-insensitive, therefore a key event with the corresponding keycode would cause the button to be activated whether or not the Shift modifier was pressed.

      This will update the displayed mnemonic property for the specified tab.

      Parameters:
        `mnemonics` - `String` comma sep. list of mnemonic, for all tabs
      Throws:
        `IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      Since:
        1.4
      See Also:
        `JTabbedPane.getMnemonicAt(int)`, `JTabbedPane.setDisplayedMnemonicIndexAt(int,int)`

    - #### setDisplayedMnemonics

          public void setDisplayedMnemonics(String displaymnemonics)

      Provides a hint to the look and feel as to which character in the text should be decorated to represent the mnemonic. Not all look and feels may support this. A value of -1 indicates either there is no mnemonic for this tab, or you do not wish the mnemonic to be displayed for this tab.

      The value of this is updated as the properties relating to the mnemonic change (such as the mnemonic itself, the text...). You should only ever have to call this if you do not wish the default character to be underlined. For example, if the text at tab index 3 was 'Apple Price', with a mnemonic of 'p', and you wanted the 'P' to be decorated, as 'Apple Price', you would have to invoke `setDisplayedMnemonicIndex(3, 6)` after invoking `setMnemonicAt(3, KeyEvent.VK_P)`.

      Note that it is the programmer's responsibility to ensure that each tab has a unique mnemonic or unpredictable results may occur.

      Parameters:
        `displaymnemonics` - `String` comma sep. list of index into the `String` to underline for all tabs
      Throws:
        `IndexOutOfBoundsException` - if `tabIndex` is out of range (`tabIndex < 0 || tabIndex >= tab count`)
        `IllegalArgumentException` - will be thrown if `mnemonicIndex` is >= length of the tab title , or < -1
      Since:
        1.4
      See Also:
        `JTabbedPane.setMnemonicAt(int,int)`, `JTabbedPane.getDisplayedMnemonicIndexAt(int)`

    - #### setEnabled

          public void setEnabled(String enabled)

      Sets whether or not the tab at `index` is enabled. An internal exception is raised if there is no tab at that index.
      Parameters:
        `enabled` - `String` comma sep. list of booleans, if or not the tab should be enabled
      Throws:
        `IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      See Also:
        `JTabbedPane.isEnabledAt(int)`

    - #### setToolTipTexts

          public void setToolTipTexts(String toolTipTexts)

      Sets the tooltip text at `index` to `toolTipText` which can be `null`. An internal exception is raised if there is no tab at that index.
      Parameters:
        `toolTipTexts` - `String` comma sep. list of tooltip texts to be displayed for all the tabs
      Throws:
        `IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      See Also:
        `JTabbedPane.getToolTipTextAt(int)`

    - #### setIcons

          public void setIcons(String icons)

      Sets the icons for all tabs. Does not set disabled icon at `icon` To set disabled icon, use `setDisableIconAt()`. An internal exception is raised if there is no tab at that index.
      Parameters:
        `icons` - `String` comma sep. list of icons to be displayed in alls tabs
      Throws:
        `IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      See Also:
        `JTabbedPane.setDisabledIconAt(int, javax.swing.Icon)`, `JTabbedPane.getIconAt(int)`

    - #### setDisabledIcons

          public void setDisabledIcons(String icons)

      Sets the disabled icon at `index` to `icon` which can be `null`. An internal exception is raised if there is no tab at that index.
      Parameters:
        `icons` - `String` comma sep. list of icons to be displayed in alls tabs
      Throws:
        `IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      See Also:
        `JTabbedPane.getDisabledIconAt(int)`

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.